Package org.eclipse.ecf.remoteservice.rest.client

# Class HttpGetRequestType

java.lang.Object
org.eclipse.ecf.remoteservice.rest.client.AbstractRequestType
org.eclipse.ecf.remoteservice.rest.client.HttpGetRequestType

All Implemented Interfaces:
  `IRemoteCallableRequestType`

public class HttpGetRequestType extends AbstractRequestType

## Field Summary

### Fields inherited from class org.eclipse.ecf.remoteservice.rest.client.AbstractRequestType

`defaultRequestHeaders`

## Constructor Summary

Constructors
Constructor
Description
`HttpGetRequestType()`
`HttpGetRequestType(Map defaultRequestHeaders)`

## Method Summary

### Methods inherited from class org.eclipse.ecf.remoteservice.rest.client.AbstractRequestType

`getDefaultRequestHeaders`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HttpGetRequestType

public HttpGetRequestType(Map defaultRequestHeaders)

### HttpGetRequestType

public HttpGetRequestType()